QsciLexerTeX Class Reference

`#include <qscilexertex.h>`

Inherits QsciLexer.

## Public Types

enum | { Default = 0 , Special = 1 , Group = 2 , Symbol = 3 , Command = 4 , Text = 5 }

## Public Member Functions

| QsciLexerTeX (QObject *parent=0)
virtual | ~QsciLexerTeX ()
const char * | language () const
const char * | lexer () const
const char * | wordCharacters () const
QColor | defaultColor (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
void | setFoldComments (bool fold)
bool | foldComments () const
void | setFoldCompact (bool fold)
bool | foldCompact () const
void | setProcessComments (bool enable)
bool | processComments () const
void | setProcessIf (bool enable)
bool | processIf () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
virtual bool | defaultEolFill (int style) const
QFont | defaultFont () const
virtual QFont | defaultFont (int style) const
QColor | defaultPaper () const
virtual QColor | defaultPaper (int style) const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions

bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members

Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerTeX class encapsulates the Scintilla TeX lexer.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the TeX lexer.

Enumerator
Default | The default.
Special | A special.
Group | A group.
Symbol | A symbol.
Command | A command.
Text | Text.

## Constructor & Destructor Documentation

## QsciLexerTeX()

QsciLexerTeX::QsciLexerTeX | ( | QObject * | parent = 0 | ) |

Construct a QsciLexerTeX with parent parent. parent is typically the QsciScintilla instance.

Referenced by writeProperties().

## Member Function Documentation

## language()

const char * QsciLexerTeX::language | ( |  | ) | const

virtual

Returns the name of the language.

Implements QsciLexer.

## lexer()

const char * QsciLexerTeX::lexer | ( |  | ) | const

virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## wordCharacters()

const char * QsciLexerTeX::wordCharacters | ( |  | ) | const

virtual

Returns the string of characters that comprise a word.

Reimplemented from QsciLexer.

## defaultColor()

QColor QsciLexerTeX::defaultColor | ( | int | style | ) | const

virtual

Returns the foreground colour of the text for style number style.

Reimplemented from QsciLexer.

## keywords()

const char * QsciLexerTeX::keywords | ( | int | set | ) | const

virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

## description()

QString QsciLexerTeX::description | ( | int | style | ) | const

virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## refreshProperties()

void QsciLexerTeX::refreshProperties | ( |  | ) |

virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## setFoldComments()

void QsciLexerTeX::setFoldComments | ( | bool | fold | ) |

If fold is true then multi-line comment blocks can be folded. The default is false.

See also
  foldComments()

## foldComments()

bool QsciLexerTeX::foldComments | ( |  | ) | const

inline

Returns true if multi-line comment blocks can be folded.

See also
  setFoldComments()

## setFoldCompact()

void QsciLexerTeX::setFoldCompact | ( | bool | fold | ) |

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also
  foldCompact()

## foldCompact()

bool QsciLexerTeX::foldCompact | ( |  | ) | const

inline

Returns true if trailing blank lines are included in a fold block.

See also
  setFoldCompact()

## setProcessComments()

void QsciLexerTeX::setProcessComments | ( | bool | enable | ) |

If enable is true then comments are processed as TeX source otherwise they are ignored. The default is false.

See also
  processComments()

## processComments()

bool QsciLexerTeX::processComments | ( |  | ) | const

inline

Returns true if comments are processed as TeX source.

See also
  setProcessComments()

## setProcessIf()

void QsciLexerTeX::setProcessIf | ( | bool | enable | ) |

If enable is true then \if<unknown> processed is processed as a command. The default is true.

See also
  processIf()

## processIf()

bool QsciLexerTeX::processIf | ( |  | ) | const

inline

Returns true if \if<unknown> is processed as a command.

See also
  setProcessIf()

## readProperties()

bool QsciLexerTeX::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix )

protected virtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

## writeProperties()

bool QsciLexerTeX::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix ) const

protected virtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

References QsciLexerTeX().